
Colony - Bug #491

ADC ref voltage issue with range finders

05/01/2009 05:06 PM - Kevin Woo

Status: Worksforme Start date: 05/01/2009

Priority: Normal Due date: 10/08/2010

Assignee: Chris Mar % Done: 100%

Category: Hardware Estimated time: 0.00 hour

Target version: Hardware   

Description

we run at 3.3V, rangefinders at 5V...wtf botrics

History

#1 - 09/30/2010 07:59 PM - John Sexton

Kevin/Austin, is this still an issue?

#2 - 09/30/2010 08:12 PM - Kevin Woo

No idea. I would look up the sensors datasheet and see what they take and

then measure what they're actually getting.

#3 - 09/30/2010 08:34 PM - John Sexton

- Assignee changed from Austin Buchan to Alex Zirbel

We need to investigate and see if this is still an issue.

#4 - 10/01/2010 05:26 PM - Alex Zirbel

- Due date set to 10/08/2010

- Assignee changed from Alex Zirbel to Chris Mar

Need to look into this for the next meeting.

#5 - 10/01/2010 07:45 PM - John Sexton

- Status changed from Assigned to Worksforme

- % Done changed from 0 to 100

The data sheet for the rangefinders says that rangefinders are powered at 5V, but output at 3.3V. The processor is running on 3.3V, so we expect that

the processor should be using the correct reference voltage for the 3.3V output of the rangefinders. According to the data sheets, we should be using

the full analog range for the rangefinders.
